﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
DATE:                  2010-11-29 11:28:25
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       355
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA70404B,  MSO70404
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO7000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  IF           @Chan == 1
  1.004  RSLT         =
  1.005  RSLT         =DELTA TIME ACCURACY
  1.006  ENDIF

  1.007  RSLT         =
  1.008  RSLT         =Channel [V @Chan]
  1.009  HEAD         DELTA TIME ACCURACY (CH [V @Chan])

  1.010  RSLT         =
  1.011  HEAD         -2{10 mV/Div, BWE Off}
  1.012  TARGET
  1.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  1.014  IEEE2        CH[V @Chan]:SCA 10E-3
  1.015  IEEE2        HOR:SCA 200E-12
# Maybe need to change to PK2P.
  1.015  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  1.016  MATH         MEM = 80; MEM1 = MEM
  1.017  9500         80mVpp                       2.48GH         LS    S  L
  1.018  WAIT         -t 2 9500B Settling...
  1.019  IEEE2        TRIG:A SETL
  1.020  IEEE2        HOR:MODE MAN
  1.021  IEEE2        ACQ:SAMP IT
  1.022  IEEE2        CH[V @Chan]:BAN:ENH OFF
  1.023  IEEE2        HOR:MODE:RECORDLENGTH 10000
  1.023  IEEE2        HOR:MODE:SAMPLER 500E+9
# Statistic setting.
  1.024  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYP BUR;STATE ON
  1.025  IEEE2        MEASUREMENT:GATING ON
  1.026  IEEE2        MEASUREMENT:GATING CURS
  1.027  IEEE2        MEASU:REFL:METH ABS
  1.028  IEEE2        MEASU:STATI:WEI 1000
  1.029  IEEE2        MEASU:STATI:COUNT RESET
  1.030  IEEE2        MEASU:REFL:ABS:MID 0
# Set cursor 1, 2
  1.031  IEEE2        CURS:STATE ON
  1.032  IEEE2        CURS:FUNC VBA
  1.033  IEEE2        CURS:VBA:POSITION1 -5E-9
  1.033  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
  1.034  IEEE2        ZOO:MOD ON
  1.035  IEEE2        ZOO:HOR:POS 25
  1.036  IEEE2        ZOO:HOR:SCA 20
  1.037  IEEE2        ZOO:HOR:POS 75
  1.038  DISP         Press the Cursor front-panel button twice to assign
  1.038  DISP         the multipurpose knobs to the Cursors.
  1.038  DISP
  1.038  DISP         Set the Cursor 2 x position to align the cursor
  1.038  DISP         with the nearest trough of the waveform.
# Read the measurement
  1.039  IEEE2        MEASU:STATI:COUNT RESET
  1.040  IEEE2        ACQ:STATE RUN
  1.041  WAIT         -t 30 DUT Running...
  1.042  IEEE2        ACQ:STATE STOP
  1.043  IEEE2        MEASU:MEAS2:STDdev?[I]
  1.044  MATH         MEM = MEM * 1E+12
  1.045  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
  1.046  MEM2         = RMS Limit <= 2.022 ps, Result: [V Rslt]
  1.047  EVAL   -e MEM <= 2.022 : [MEM2]

  2.001  IEEE2        MEASU:MEAS2:MAX?[I]
  2.002  MATH         MaxVal = MEM * 1E+12
  2.003  IEEE2        MEASU:MEAS2:MIN?[I]
  2.004  MATH         MinVal = MEM * 1E+12
  2.005  MATH         DiffVal = MaxVal - MinVal
  2.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
  2.007  MEM2         = Pk-Pk Limit <= 20.22 ps, Result: [V DiffVal]
  2.008  EVAL   -e MEM <= 20.22 : [MEM2]

  3.001  RSLT         =
  3.002  HEAD         -2{50 mV/Div, BWE Off}
  3.003  TARGET
  3.004  IEEE2        CH[V @Chan]:SCA 50E-3
  3.005  IEEE2        ACQ:STATE RUN
  3.006  9500         400mVpp                      2.48GH         LS    S  L
  3.007  WAIT         -t 2 9500B Settling...
  3.008  IEEE2        TRIG:A SETL
  3.009  IEEE2        MEASU:STATI:COUNT RESET
# Set cursor 1, 2
  3.010  IEEE2        CURS:VBA:POSITION1 -5E-9
  3.010  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
  3.011  IEEE2        ZOO:MOD ON
  3.012  IEEE2        ZOO:HOR:POS 25
  3.013  IEEE2        ZOO:HOR:SCA 20
  3.014  IEEE2        ZOO:HOR:POS 75
  3.015  DISP         Press the Cursor front-panel button twice to assign
  3.015  DISP         the multipurpose knobs to the Cursors.
  3.015  DISP
  3.015  DISP         Set the Cursor 2 x position to align the cursor
  3.015  DISP         with the nearest trough of the waveform.
# Read the measurement
  3.016  IEEE2        MEASU:STATI:COUNT RESET
  3.017  IEEE2        ACQ:STATE RUN
  3.018  WAIT         -t 30 DUT Running...
  3.019  IEEE2        ACQ:STATE STOP
  3.020  IEEE2        MEASU:MEAS2:STDdev?[I]
  3.021  MATH         MEM = MEM * 1E+12
  3.022  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
  3.023  MEM2         = RMS Limit <= 1.762 ps, Result: [V Rslt]
  3.024  EVAL   -e MEM <= 1.762 : [MEM2]

  4.001  IEEE2        MEASU:MEAS2:MAX?[I]
  4.002  MATH         MaxVal = MEM * 1E+12
  4.003  IEEE2        MEASU:MEAS2:MIN?[I]
  4.004  MATH         MinVal = MEM * 1E+12
  4.005  MATH         DiffVal = MaxVal - MinVal
  4.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
  4.007  MEM2         = Pk-Pk Limit <= 17.62 ps, Result: [V DiffVal]
  4.008  EVAL   -e MEM <= 17.62 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{100 mV/Div, BWE Off}
  5.003  TARGET
  5.004  IEEE2        CH[V @Chan]:SCA 100E-3
  5.005  IEEE2        ACQ:STATE RUN
  5.006  9500         800mVpp                      2.48GH         LS    S  L
  5.007  WAIT         -t 2 9500B Settling...
  5.008  IEEE2        TRIG:A SETL
# Statistic setting.
  5.009  IEEE2        MEASU:STATI:COUNT RESET
# Set cursor 1, 2
  5.010  IEEE2        CURS:VBA:POSITION1 -5E-9
  5.010  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
  5.011  IEEE2        ZOO:MOD ON
  5.012  IEEE2        ZOO:HOR:POS 25
  5.013  IEEE2        ZOO:HOR:SCA 20
  5.014  IEEE2        ZOO:HOR:POS 75
  5.015  DISP         Press the Cursor front-panel button twice to assign
  5.015  DISP         the multipurpose knobs to the Cursors.
  5.015  DISP
  5.015  DISP         Set the Cursor 2 x position to align the cursor
# Read the measurement
  5.016  IEEE2        MEASU:STATI:COUNT RESET
  5.017  IEEE2        ACQ:STATE RUN
  5.018  WAIT         -t 30 DUT Running...
  5.019  IEEE2        ACQ:STATE STOP
  5.020  IEEE2        MEASU:MEAS2:STDdev?[I]
  5.021  MATH         MEM = MEM * 1E+12
  5.022  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
  5.023  MEM2         = RMS Limit <= 1.821 ps, Result: [V Rslt]
  5.024  EVAL   -e MEM <= 1.821 : [MEM2]

  6.001  IEEE2        MEASU:MEAS2:MAX?[I]
  6.002  MATH         MaxVal = MEM * 1E+12
  6.003  IEEE2        MEASU:MEAS2:MIN?[I]
  6.004  MATH         MinVal = MEM * 1E+12
  6.005  MATH         DiffVal = MaxVal - MinVal
  6.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
  6.007  MEM2         = Pk-Pk Limit <= 18.21 ps, Result: [V DiffVal]
  6.008  EVAL   -e MEM <= 18.21 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{10 mV/Div, BWE On}
  7.003  TARGET
  7.004  IEEE2        ACQ:STATE RUN
  7.004  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  7.005  IEEE2        CH[V @Chan]:SCA 10E-3
# Maybe need to change to PK2P.
  7.006  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  7.007  9500         80mVpp                       2.48GH         LS    S  L
  7.008  WAIT         -t 2 9500B Settling...
  7.009  IEEE2        TRIG:A SETL
  7.010  IEEE2        HOR:MODE MAN
  7.011  IEEE2        ACQ:SAMP IT
  7.012  IEEE2        CH[V @Chan]:BAN:ENH ON
  7.013  IEEE2        HOR:MODE:RECORDLENGTH 10000
  7.013  IEEE2        HOR:MODE:SAMPLER 500E+9
# Statistic setting.
  7.014  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYP BUR;STATE ON
  7.015  IEEE2        MEASUREMENT:GATING ON
  7.016  IEEE2        MEASUREMENT:GATING CURS
  7.017  IEEE2        MEASU:REFL:METH ABS
  7.018  IEEE2        MEASU:STATI:WEI 1000
  7.019  IEEE2        MEASU:STATI:COUNT RESET
  7.020  IEEE2        MEASU:REFL:ABS:MID 0
# Set cursor 1, 2
  7.021  IEEE2        CURS:STATE ON
  7.022  IEEE2        CURS:FUNC VBA
  7.023  IEEE2        CURS:VBA:POSITION1 -5E-9
  7.023  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
  7.024  IEEE2        ZOO:MOD ON
  7.025  IEEE2        ZOO:HOR:POS 25
  7.026  IEEE2        ZOO:HOR:SCA 20
  7.027  IEEE2        ZOO:HOR:POS 75
  7.028  DISP         Press the Cursor front-panel button twice to assign
  7.028  DISP         the multipurpose knobs to the Cursors.
  7.028  DISP
  7.028  DISP         Set the Cursor 2 x position to align the cursor
  7.028  DISP         with the nearest trough of the waveform.
# Read the measurement
  7.029  IEEE2        MEASU:STATI:COUNT RESET
  7.030  IEEE2        ACQ:STATE RUN
  7.031  WAIT         -t 30 DUT Running...
  7.032  IEEE2        ACQ:STATE STOP
  7.033  IEEE2        MEASU:MEAS2:STDdev?[I]
  7.034  MATH         MEM = MEM * 1E+12
  7.035  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
  7.036  MEM2         = RMS Limit <= 1.674 ps, Result: [V Rslt]
  7.037  EVAL   -e MEM <= 1.674 : [MEM2]

  8.001  IEEE2        MEASU:MEAS2:MAX?[I]
  8.002  MATH         MaxVal = MEM * 1E+12
  8.003  IEEE2        MEASU:MEAS2:MIN?[I]
  8.004  MATH         MinVal = MEM * 1E+12
  8.005  MATH         DiffVal = MaxVal - MinVal
  8.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
  8.007  MEM2         = Pk-Pk Limit <= 16.74 ps, Result: [V DiffVal]
  8.008  EVAL   -e MEM <= 16.74 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         -2{50 mV/Div, BWE On}
  9.003  TARGET
  9.004  IEEE2        CH[V @Chan]:SCA 50E-3
  9.005  IEEE2        ACQ:STATE RUN
  9.006  9500         400mVpp                      2.48GH         LS    S  L
  9.007  WAIT         -t 2 9500B Settling...
  9.008  IEEE2        TRIG:A SETL
# Statistic setting.
  9.009  IEEE2        MEASU:STATI:COUNT RESET
# Set cursor 1, 2
  9.010  IEEE2        CURS:VBA:POSITION1 -5E-9
  9.010  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
  9.011  IEEE2        ZOO:MOD ON
  9.012  IEEE2        ZOO:HOR:POS 25
  9.013  IEEE2        ZOO:HOR:SCA 20
  9.014  IEEE2        ZOO:HOR:POS 75
  9.015  DISP         Press the Cursor front-panel button twice to assign
  9.015  DISP         the multipurpose knobs to the Cursors.
  9.015  DISP
  9.015  DISP         Set the Cursor 2 x position to align the cursor
  9.015  DISP         with the nearest trough of the waveform.
# Read the measurement
  9.016  IEEE2        MEASU:STATI:COUNT RESET
  9.017  IEEE2        ACQ:STATE RUN
  9.018  WAIT         -t 30 DUT Running...
  9.019  IEEE2        ACQ:STATE STOP
  9.020  IEEE2        MEASU:MEAS2:STDdev?[I]
  9.021  MATH         MEM = MEM * 1E+12
  9.022  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
  9.023  MEM2         = RMS Limit <= 1.437 ps, Result: [V Rslt]
  9.024  EVAL   -e MEM <= 1.437 : [MEM2]

 10.001  IEEE2        MEASU:MEAS2:MAX?[I]
 10.002  MATH         MaxVal = MEM * 1E+12
 10.003  IEEE2        MEASU:MEAS2:MIN?[I]
 10.004  MATH         MinVal = MEM * 1E+12
 10.005  MATH         DiffVal = MaxVal - MinVal
 10.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
 10.007  MEM2         = Pk-Pk Limit <= 14.37 ps, Result: [V DiffVal]
 10.008  EVAL   -e MEM <= 14.37 : [MEM2]

 11.001  RSLT         =
 11.002  HEAD         -2{100 mV/Div, BWE On}
 11.003  TARGET
 11.004  IEEE2        CH[V @Chan]:SCA 100E-3
 11.005  IEEE2        ACQ:STATE RUN
 11.006  9500         800mVpp                      2.48GH         LS    S  L
 11.007  WAIT         -t 2 9500B Settling...
 11.008  IEEE2        TRIG:A SETL
# Statistic setting.
 11.009  IEEE2        MEASU:STATI:COUNT RESET
# Set cursor 1, 2
 11.010  IEEE2        CURS:VBA:POSITION1 -5E-9
 11.010  IEEE2        CURS:VBA:POSITION2 5E-9
# Zoom Setting
 11.011  IEEE2        ZOO:MOD ON
 11.012  IEEE2        ZOO:HOR:POS 25
 11.013  IEEE2        ZOO:HOR:SCA 20
 11.014  IEEE2        ZOO:HOR:POS 75
 11.015  DISP         Press the Cursor front-panel button twice to assign
 11.015  DISP         the multipurpose knobs to the Cursors.
 11.015  DISP
 11.015  DISP         Set the Cursor 2 x position to align the cursor
 11.015  DISP         with the nearest trough of the waveform.
# Read the measurement
 11.016  IEEE2        MEASU:STATI:COUNT RESET
 11.017  IEEE2        ACQ:STATE RUN
 11.018  WAIT         -t 30 DUT Running...
 11.019  IEEE2        ACQ:STATE STOP
 11.020  IEEE2        MEASU:MEAS2:STDdev?[I]
 11.021  MATH         MEM = MEM * 1E+12
 11.022  MATH         Rslt = FMT(MEM, "%.3f") & " ps"
 11.023  MEM2         = RMS Limit <= 1.478 ps, Result: [V Rslt]
 11.024  EVAL   -e MEM <= 1.478 : [MEM2]

 12.001  IEEE2        MEASU:MEAS2:MAX?[I]
 12.002  MATH         MaxVal = MEM * 1E+12
 12.003  IEEE2        MEASU:MEAS2:MIN?[I]
 12.004  MATH         MinVal = MEM * 1E+12
 12.005  MATH         DiffVal = MaxVal - MinVal
 12.006  MATH         DiffVal = FMT(DiffVal, "%.2f") & " ps"
 12.007  MEM2         = Pk-Pk Limit <= 14.78 ps, Result: [V DiffVal]
 12.008  EVAL   -e MEM <= 14.78 : [MEM2]

 13.001  HEAD         -2
 13.002  HEAD
 13.003  9500         *                                                 S
 13.004  END
